Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 338407 - ~app-misc/realpath-1.15 respects user CFLAGS, but not value of -O within user CFLAGS
Summary: ~app-misc/realpath-1.15 respects user CFLAGS, but not value of -O within user...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-23 03:45 UTC by Kevin Pyle
Modified: 2010-11-28 18:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to realpath-1.15-r2.ebuild to add a sed to delete the offending CFLAGS addition (realpath-1.15-r2.ebuild.patch,451 bytes, patch)
2010-09-23 03:46 UTC, Kevin Pyle
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Pyle 2010-09-23 03:45:02 UTC
Gentoo patches app-misc/realpath to respect user CFLAGS, but the patch is incomplete.  Specifically, the upstream package appends either -O0 or -O2 (depending on whether $DEB_BUILD_OPTIONS =~ /noopt/) to the end of CFLAGS, overriding a user's chosen optimization level.  The fix is simple: delete the offending line, since it makes no other changes.  I will attach a patch to realpath-1.15-r2.ebuild to address this.
Comment 1 Kevin Pyle 2010-09-23 03:46:37 UTC
Created attachment 248413 [details, diff]
Patch to realpath-1.15-r2.ebuild to add a sed to delete the offending CFLAGS addition
Comment 2 Justin Lecher (RETIRED) gentoo-dev 2010-11-28 15:02:07 UTC
+*realpath-1.15-r3 (28 Nov 2010)
+
+  28 Nov 2010; Justin Lecher <jlec@gentoo.org> +realpath-1.15-r3.ebuild,
+  +files/realpath-1.15-build.patch:
+  Resepct optimization level in *FLAGS, #338407
+
Comment 3 Zeev Tarantov 2010-11-28 16:29:49 UTC
realpath-1.15-r3 fails to apply patches:


 * Failed Patch: realpath-1.15-prefix.patch !
 *  ( /usr/portage/app-misc/realpath/files/realpath-1.15-prefix.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /home/system/var_tmp_portage/portage/app-misc/realpath-1.15-r3/temp/realpath-1.15-prefix.patch.out

 * ERROR: app-misc/realpath-1.15-r3 failed:
 *   Failed Patch: realpath-1.15-prefix.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 2702:  Called epatch '/usr/portage/app-misc/realpath/files/realpath-1.15-prefix.patch'
 *   environment, line 1291:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of 'emerge --info =app-misc/realpath-1.15-r3',
 * the complete build log and the output of 'emerge -pqv =app-misc/realpath-1.15-r3'.
 * The complete build log is located at '/home/system/var_tmp_portage/portage/app-misc/realpath-1.15-r3/temp/build.log'.
 * The ebuild environment file is located at '/home/system/var_tmp_portage/portage/app-misc/realpath-1.15-r3/temp/environment'.
 * S: '/home/system/var_tmp_portage/portage/app-misc/realpath-1.15-r3/work/realpath-1.15'


Portage 2.1.9.25 (default/linux/amd64/10.0/desktop, gcc-4.5.2-pre9999, glibc-2.12.1-r3, 2.6.36.1 x86_64)
=================================================================
System uname: Linux-2.6.36.1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6550_@_2.33GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 28 Nov 2010 15:15:02 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r2
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.6.5
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21.51.0.1
sys-devel/gcc:       4.4.5, 4.5.2_pre9999::toolchain
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* SKYPE-EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-g -O2 -pipe -march=core2 -momit-leaf-frame-pointer -fexcess-precision=fast -Wno-unused-result"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-g -O2 -pipe -march=core2 -momit-leaf-frame-pointer -fexcess-precision=fast"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages installsources news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
GENTOO_MIRRORS="http://mirror.isoc.org.il/pub/gentoo/ "
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-O1"
LINGUAS="en en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/home/system/var_tmp_portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gcc-porting /var/lib/layman/mozilla /var/lib/layman/java-overlay /var/lib/layman/toolchain /var/lib/layman/kde /var/lib/layman/voyageur /usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion bidi bluetooth branding bzip2 cairo cdr cli cracklib crypt cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac gif gpm gtk hal iconv ipv6 jpeg lcms libnotify lzma mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pango pch pcre pdf perl png ppds pppd python qt3support qt4 readline sdl semantic-desktop session spell sqlite3 sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis x264 xcb xcomposite xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="stv0680" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" PHP_TARGETS="php5-2" QEMU_SOFTMMU_TARGETS="arm i386 ppc ppc64 sparc x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18" SANE_BACKENDS="niash stv680" USERLAND="GNU" VIDEO_CARDS="nv nvidia nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Ulrich Müller gentoo-dev 2010-11-28 17:40:30 UTC
Looks like the prefix patch cannot be applied after the new build patch.
Reopening.
Comment 5 Justin Lecher (RETIRED) gentoo-dev 2010-11-28 18:22:48 UTC
Fixed